/**
 * prism.js Monokai theme
 * @author Sam Clarke
 */

code[class*="language-"],
pre[class*="language-"] {
    color          : #f8f8f2;
    background     : none;
    font-size      : 14px;
    white-space    : pre-wrap;
    font-family    : Menlo, Consolas, monospace;
    text-align     : left;
    white-space    : pre;
    word-spacing   : normal;
    word-break     : normal;
    word-wrap      : normal;
    line-height    : 1.4;
    -moz-tab-size  : 8;
    -o-tab-size    : 8;
    tab-size       : 8;
    -webkit-hyphens: none;
    -moz-hyphens   : none;
    -ms-hyphens    : none;
    hyphens        : none;
}

/* Code blocks */

pre[class*="language-"] {
    padding   : 0.8em;
    overflow  : auto;
    background: #272822;
}

/* Inline code */

:not(pre)>code[class*="language-"] {
    padding      : 0.1em;
    border-radius: 0.3em;
    white-space  : normal;
    background   : #272822;
}

.token.blockquote,
.token.comment,
.token.shebang,
.token.shebang.important {
    color: #75715e;
}

.token.deleted,
.token.important,
.token.keyword,
.token.operator,
.token.prolog,
.token.rule,
.token.selector,
.token.tag,
.token.title .token.punctuation {
    color: #f92672;
}

.token.atrule,
.token.code,
.token.command,
.token.entity,
.token.property {
    color: #66d9ef;
}

.token.atrule .token.property,
.token.regex {
    color: #fd971f;
}

.token.attr-name,
.token.class,
.token.class-name,
.token.function,
.token.id,
.token.inserted,
.token.namespace,
.token.pseudo-class,
.token.pseudo-element,
.token.symbol,
.token.url-reference .token.variable {
    color: #a6e22e;
}

.token.attr-value,
.token.attr-value a.token.url-link,
.token.cdata,
.token.list,
.token.string,
.token.url {
    color: #e6db74;
}

.token.boolean,
.token.builtin,
.token.constant,
.token.hexcode,
.token.number {
    color: #ae81ff;
}

.token.doctype,
.token.macro.property,
.token.punctuation,
.token.variable {
    color: #f8f8f2;
}

.token.entity {
    cursor: help;
}

.token.title,
.token.title .token.punctuation {
    font-weight: bold;
}

.token.bold {
    font-weight: bold;
}

.token.italic {
    font-style: italic;
}

/* YAML */

.language-yaml .token.atrule {
    color: #f92672;
}

/* Bash */

.language-bash .token.function {
    color: #f92672;
}